Create a new, active virtual card and link it to a reference with the given bearer details.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction. |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card. For example: a member id or wallet number. |
| firstName | String | 0-50 characters | ✓ | The first name of the card bearer. Field is required but can accept empty string. |
| lastName | String | 0-50 characters | ✓ | The last name of the card bearer. Field is required but can accept empty string. |
| idOrPassport | String | 0-20 chcracters | ✓ | The id or passport number of the card bearer. Field is required but can accept empty string. |
| cellphoneNumber | String | 0-20 characters | ✓ | The cellphone number of the card bearer. Field is required but can accept empty string. |
| expiryDate | Date | ✓ | The date at which the virtual card is set to expire. Note: Should be encrypted in the request. Before encryption it should be in this format yyyy-mm-dd:HH:nn:ss | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side. | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key. |
<?xml version="1.0"?>
<methodCall>
<methodName> CreateLinkedCardMaskedResponse</methodName>
<params>
<param>
<value>
<string>0014682067</string>
</value>
</param>
<param>
<value>
<string>123TEST</string>
</value>
</param>
<param>
<value>
<string>TTK</string>
</value>
</param>
<param>
<value>
<string>TEST</string>
</value>
</param>
<param>
<value>
<string>id123</string>
</value>
</param>
<param>
<value>
<string>0924769387</string>
</value>
</param>
<param>
<value>
<string>20221031T00:00:00</string>
</value>
</param>
<param>
<value>
<string>123456</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200327T00:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>B112B8EAD306AB279C775EDB21990504FD87B0BA</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| cvv2 | String | Masked CVV2 of the specified card. |
| resultCode | Integer | Status code indicating transaction result. |
| cardNumber | String | Masked PAN for the created card. |
| resultText | String | Text indicating transaction result. |
| validDate | String | String representation of the valid date as MM/YY as expected by web forms when doing online payments. |
| expiryDate | String | Masked expiry date of the created card. |
| trackingNumber | String | Generated tracking number for the created card. |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>cvv2</name>
<value>
<string>DHF67G</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>54321xxxxxxxx4125</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>validDate</name>
<value>
<string>06/22</string>
</value>
</member>
<member>
<name>expiryDate</name>
<value>
<string>20xxxxxxT00:00:00</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>689348400002066</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>